Author Topic: DevPak is unable to choose between library versions  (Read 6410 times)

Offline techtonik

  • Multiple posting newcomer
  • *
  • Posts: 24
DevPak is unable to choose between library versions
« on: June 26, 2008, 03:22:34 pm »
DevPak installer plugin selects packs from the list using only library name, without taking into account version info. If there are several versions of the same library then only the first one can be installed.

The original bug report at BerliOS doesn't allow to attach patches, so I post it here.
Patch fixes DevPak selection logic by comparing version and revision fields also.

P.S. There are some more fixes (mostly cosmetic) pending for this plugin.

[attachment deleted by admin]

Offline techtonik

  • Multiple posting newcomer
  • *
  • Posts: 24
Re: DevPak is unable to choose between library versions
« Reply #1 on: July 16, 2008, 06:59:09 am »
Fix is is posted in revision 3 in this branch - https://code.launchpad.net/~techtonik/codeblocks/devpak-plugin.

The problem appears as "file size mismatch" when installing another version of library. Also reported here.

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9414
Re: DevPak is unable to choose between library versions
« Reply #2 on: July 16, 2008, 07:38:06 am »
https://code.launchpad.net/~techtonik/codeblocks/devpak-plugin.
We are not using bazaar. You make it really hard to obtain the "patch" by using another version control system. Mind posting a "true" patch at BerliOS for inspection?
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ

Offline techtonik

  • Multiple posting newcomer
  • *
  • Posts: 24
Re: DevPak is unable to choose between library versions
« Reply #3 on: July 17, 2008, 08:30:32 am »
The "true" patch is the same as attached in my first post. I forgot to mentioned that I finally found a way to submit patch in BerliOS and added a link to it in original bugreport linked, again, in the first post.

More colorful example at launchpad:
http://bazaar.launchpad.net/~techtonik/codeblocks/devpak-plugin/revision/3

Launchpad is not just about another version control system - it provides a convenient way to store a sequence of patches without waiting for them to be approved one by one by branching code of existing projects. This helps to avoid mixing bug fixing work with featurecreeped kitchensinks and not to lose something in the process.

BTW, where should I post further enhancements to DevPak plugin? BerliOS tracker, ahem, suxx.

Offline techtonik

  • Multiple posting newcomer
  • *
  • Posts: 24
Re: DevPak is unable to choose between library versions
« Reply #4 on: August 25, 2008, 12:29:41 pm »
Fixed in Nightly Build from 19 July 2008 - http://forums.codeblocks.org/index.php/topic,8821.0.html

Fixed version for 8.02 C::B release is attached.

[attachment deleted by admin]
« Last Edit: September 12, 2008, 02:08:36 pm by techtonik »